summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sys-apps/pacman
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sys-apps/pacman')
-rw-r--r--sys-apps/pacman/Manifest2
-rw-r--r--sys-apps/pacman/files/pacman-4.0.0-gpgme.patch45
-rw-r--r--sys-apps/pacman/metadata.xml11
-rw-r--r--sys-apps/pacman/pacman-4.0.1.ebuild83
-rw-r--r--sys-apps/pacman/pacman-4.0.3-r1.ebuild87
-rw-r--r--sys-apps/pacman/pacman-4.0.3.ebuild83
6 files changed, 311 insertions, 0 deletions
diff --git a/sys-apps/pacman/Manifest b/sys-apps/pacman/Manifest
new file mode 100644
index 00000000000..586b4e22dd1
--- /dev/null
+++ b/sys-apps/pacman/Manifest
@@ -0,0 +1,2 @@
+DIST pacman-4.0.1.tar.gz 1897685 SHA256 04f6822b31022100de6cd0a1905b199bbd1eaf878ef0726b6242ee032f3c33b1
+DIST pacman-4.0.3.tar.gz 1961839 SHA256 a48696ae51aaccf31a69ea7916ba9b06e7836eb933b8a281c666729c9d55ce25 SHA512 a1c7607470f0c54affe09a1b0491cdc310f37accaf782489439fd80f85b7b0ae313c477f5f3075ddef86234364b2b317e9f6abe618722b603cc9808fbba2b326 WHIRLPOOL f01c0ee89e471fbf08d71abe6e1413d7102ce6b20d20a1658a88f4600df01e9485420975ef698765b2f358e83dffe84d68df0891a6d888a35826254db33856ed
diff --git a/sys-apps/pacman/files/pacman-4.0.0-gpgme.patch b/sys-apps/pacman/files/pacman-4.0.0-gpgme.patch
new file mode 100644
index 00000000000..ab0f57c7a16
--- /dev/null
+++ b/sys-apps/pacman/files/pacman-4.0.0-gpgme.patch
@@ -0,0 +1,45 @@
+From fc732def0944aac5c7b18860b4f46444e6d50044 Mon Sep 17 00:00:00 2001
+From: Nathan Phillip Brink <binki@gentoo.org>
+Date: Mon, 17 Oct 2011 21:01:22 +0000
+Subject: [PATCH] Use AM_GPGME_PATH macro from gpgme instead of home-built gpgme detection.
+
+Fixes compilation on Gentoo, where CPPFLAGS=-I/usr/include/gpgme is
+necessary.
+---
+ configure.ac | 20 ++++++++++++--------
+ 1 files changed, 12 insertions(+), 8 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index c23da75..87cd359 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -161,14 +161,18 @@ AM_CONDITIONAL([HAVE_LIBSSL], [test "x$with_openssl" = "xyes"])
+ # Check for gpgme
+ AC_MSG_CHECKING(whether to link with libgpgme)
+ AS_IF([test "x$with_gpgme" != "xno"],
+- [AC_MSG_RESULT(yes)
+- AC_CHECK_LIB([gpgme], [gpgme_check_version], ,
+- [if test "x$with_gpgme" != "xcheck"; then
+- AC_MSG_FAILURE([--with-ggpme was given, but -lgpgme was not found])
+- fi],
+- [-lgpgme])
+- with_gpgme=$ac_cv_lib_gpgme_gpgme_check_version],
+- AC_MSG_RESULT(no))
++ [AC_MSG_RESULT([yes])],
++ [AC_MSG_RESULT([no])])
++AS_IF([test "x$with_gpgme" != "xno"],
++ [AM_PATH_GPGME([],
++ [LIBS="$LIBS $GPGME_LIBS"
++ CPPFLAGS="$CPPFLAGS $GPGME_CPPFLAGS"
++ CFLAGS="$CFLAGS $GPGME_CFLAGS"
++ with_gpgme=yes
++ AC_DEFINE([HAVE_LIBGPGME], [1], [Define if gpgme should be used to provide GPG signature support.])],
++ [AS_IF([test "x$with_gpgme" != "xcheck"],
++ [AC_MSG_FAILURE([--with-gpgme was given, but gpgme was not found])])
++ with_gpgme=no])])
+ AM_CONDITIONAL([HAVE_LIBGPGME], [test "x$with_gpgme" = "xyes"])
+
+ # Checks for header files.
+--
+1.7.3.4
+
diff --git a/sys-apps/pacman/metadata.xml b/sys-apps/pacman/metadata.xml
new file mode 100644
index 00000000000..4581cf002bf
--- /dev/null
+++ b/sys-apps/pacman/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>binki@gentoo.org</email>
+ <name>Nathan Phillip Brink</name>
+ </maintainer>
+ <use>
+ <flag name="gpg">Support verifying packages signed with GPG using <pkg>app-crypt/gpgme</pkg></flag>
+ </use>
+</pkgmetadata>
diff --git a/sys-apps/pacman/pacman-4.0.1.ebuild b/sys-apps/pacman/pacman-4.0.1.ebuild
new file mode 100644
index 00000000000..490936328c5
--- /dev/null
+++ b/sys-apps/pacman/pacman-4.0.1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit autotools autotools-utils bash-completion-r1 eutils
+
+DESCRIPTION="Archlinux's binary package manager"
+HOMEPAGE="http://archlinux.org/pacman/"
+SRC_URI="ftp://ftp.archlinux.org/other/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="curl debug doc gpg test"
+
+COMMON_DEPEND="app-arch/libarchive
+ dev-libs/openssl
+ virtual/libiconv
+ virtual/libintl
+ sys-devel/gettext
+ curl? ( net-misc/curl )
+ gpg? ( app-crypt/gpgme )"
+RDEPEND="${COMMON_DEPEND}
+ app-arch/xz-utils"
+# autoconf macros from gpgme requied unconditionally
+DEPEND="${COMMON_DEPEND}
+ app-crypt/gpgme
+ doc? ( app-doc/doxygen
+ app-text/asciidoc )
+ test? ( dev-lang/python )"
+
+RESTRICT="test"
+
+src_prepare() {
+ # Adds AM_GPGME_PATH call which requires app-crypt/gpgme to be
+ # DEPENDed on unconditionally:
+ epatch "${FILESDIR}"/${PN}-4.0.0-gpgme.patch
+
+ # Remove a line that adds -Werror in ./configure when --enable-debug
+ # is passed:
+ sed -i -e '/-Werror/d' configure.ac || die "-Werror"
+
+ # autopoint is unwilling to replace m4/gettext.m4 with the correct
+ # version even though it'll gladly replace */po/Makefile.in.in,
+ # creating an inconsistency between gettext m4 macros and
+ # Makefile.in.in. Also, AM_MKINSTALLDIRS apparently doesn't exist
+ # anymore, so we need newer gettext macros. #420469
+ rm m4/gettext.m4 || die
+ sed -i -e '/AM_GNU_GETTEXT_VERSION/s/0\.13\.1/0.18.1/' configure.ac || die
+
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --localstatedir=/var
+ --disable-git-version
+ --with-openssl
+ # Help protect user from shooting his/her Gentoo installation in
+ # its foot.
+ --with-root-dir="${EPREFIX}"/var/chroot/archlinux
+ $(use_enable debug)
+ $(use_enable doc)
+ $(use_enable doc doxygen)
+ $(use_with curl libcurl)
+ $(use_with gpg gpgme)
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install
+
+ dodir /etc/pacman.d
+ newbashcomp "${AUTOTOOLS_BUILD_DIR}"/contrib/bash_completion pacman
+}
+
+pkg_postinst() {
+ einfo "Please see http://ohnopub.net/~ohnobinki/gentoo/arch/ for information"
+ einfo "about setting up an archlinux chroot."
+}
diff --git a/sys-apps/pacman/pacman-4.0.3-r1.ebuild b/sys-apps/pacman/pacman-4.0.3-r1.ebuild
new file mode 100644
index 00000000000..5d6ab57ac40
--- /dev/null
+++ b/sys-apps/pacman/pacman-4.0.3-r1.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+PYTHON_COMPAT=( python2_7 )
+inherit autotools autotools-utils bash-completion-r1 eutils python-any-r1
+
+DESCRIPTION="Archlinux's binary package manager"
+HOMEPAGE="http://archlinux.org/pacman/"
+SRC_URI="ftp://ftp.archlinux.org/other/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="curl debug doc gpg test"
+
+COMMON_DEPEND="app-arch/libarchive
+ dev-libs/openssl
+ virtual/libiconv
+ virtual/libintl
+ sys-devel/gettext
+ curl? ( net-misc/curl )
+ gpg? ( app-crypt/gpgme )"
+RDEPEND="${COMMON_DEPEND}
+ app-arch/xz-utils"
+# autoconf macros from gpgme requied unconditionally
+# makepkg collision with old bash-completion
+DEPEND="${COMMON_DEPEND}
+ app-crypt/gpgme
+ doc? ( app-doc/doxygen
+ app-text/asciidoc )
+ test? ( ${PYTHON_DEPS} )
+ !<=app-shells/bash-completion-2.1-r90"
+
+RESTRICT="test"
+
+src_prepare() {
+ # Adds AM_GPGME_PATH call which requires app-crypt/gpgme to be
+ # DEPENDed on unconditionally:
+ epatch "${FILESDIR}"/${PN}-4.0.0-gpgme.patch
+
+ # Remove a line that adds -Werror in ./configure when --enable-debug
+ # is passed:
+ sed -i -e '/-Werror/d' configure.ac || die "-Werror"
+
+ # autopoint is unwilling to replace m4/gettext.m4 with the correct
+ # version even though it'll gladly replace */po/Makefile.in.in,
+ # creating an inconsistency between gettext m4 macros and
+ # Makefile.in.in. Also, AM_MKINSTALLDIRS apparently doesn't exist
+ # anymore, so we need newer gettext macros. #420469
+ rm m4/gettext.m4 || die
+ sed -i -e '/AM_GNU_GETTEXT_VERSION/s/0\.13\.1/0.18.1/' configure.ac || die
+
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --localstatedir=/var
+ --disable-git-version
+ --with-openssl
+ # Help protect user from shooting his/her Gentoo installation in
+ # its foot.
+ --with-root-dir="${EPREFIX}"/var/chroot/archlinux
+ $(use_enable debug)
+ $(use_enable doc)
+ $(use_enable doc doxygen)
+ $(use_with curl libcurl)
+ $(use_with gpg gpgme)
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install
+
+ dodir /etc/pacman.d
+ newbashcomp "${AUTOTOOLS_BUILD_DIR}"/contrib/bash_completion pacman
+ bashcomp_alias pacman pacman-key makepkg
+}
+
+pkg_postinst() {
+ einfo "Please see http://ohnopub.net/~ohnobinki/gentoo/arch/ for information"
+ einfo "about setting up an archlinux chroot."
+}
diff --git a/sys-apps/pacman/pacman-4.0.3.ebuild b/sys-apps/pacman/pacman-4.0.3.ebuild
new file mode 100644
index 00000000000..490936328c5
--- /dev/null
+++ b/sys-apps/pacman/pacman-4.0.3.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit autotools autotools-utils bash-completion-r1 eutils
+
+DESCRIPTION="Archlinux's binary package manager"
+HOMEPAGE="http://archlinux.org/pacman/"
+SRC_URI="ftp://ftp.archlinux.org/other/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="curl debug doc gpg test"
+
+COMMON_DEPEND="app-arch/libarchive
+ dev-libs/openssl
+ virtual/libiconv
+ virtual/libintl
+ sys-devel/gettext
+ curl? ( net-misc/curl )
+ gpg? ( app-crypt/gpgme )"
+RDEPEND="${COMMON_DEPEND}
+ app-arch/xz-utils"
+# autoconf macros from gpgme requied unconditionally
+DEPEND="${COMMON_DEPEND}
+ app-crypt/gpgme
+ doc? ( app-doc/doxygen
+ app-text/asciidoc )
+ test? ( dev-lang/python )"
+
+RESTRICT="test"
+
+src_prepare() {
+ # Adds AM_GPGME_PATH call which requires app-crypt/gpgme to be
+ # DEPENDed on unconditionally:
+ epatch "${FILESDIR}"/${PN}-4.0.0-gpgme.patch
+
+ # Remove a line that adds -Werror in ./configure when --enable-debug
+ # is passed:
+ sed -i -e '/-Werror/d' configure.ac || die "-Werror"
+
+ # autopoint is unwilling to replace m4/gettext.m4 with the correct
+ # version even though it'll gladly replace */po/Makefile.in.in,
+ # creating an inconsistency between gettext m4 macros and
+ # Makefile.in.in. Also, AM_MKINSTALLDIRS apparently doesn't exist
+ # anymore, so we need newer gettext macros. #420469
+ rm m4/gettext.m4 || die
+ sed -i -e '/AM_GNU_GETTEXT_VERSION/s/0\.13\.1/0.18.1/' configure.ac || die
+
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --localstatedir=/var
+ --disable-git-version
+ --with-openssl
+ # Help protect user from shooting his/her Gentoo installation in
+ # its foot.
+ --with-root-dir="${EPREFIX}"/var/chroot/archlinux
+ $(use_enable debug)
+ $(use_enable doc)
+ $(use_enable doc doxygen)
+ $(use_with curl libcurl)
+ $(use_with gpg gpgme)
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install
+
+ dodir /etc/pacman.d
+ newbashcomp "${AUTOTOOLS_BUILD_DIR}"/contrib/bash_completion pacman
+}
+
+pkg_postinst() {
+ einfo "Please see http://ohnopub.net/~ohnobinki/gentoo/arch/ for information"
+ einfo "about setting up an archlinux chroot."
+}